Bug 732795 (CVE-2011-3189) - CVE-2011-3189 php: 5.3.7 crypt() only returns the salt for MD5 hashes
Summary: CVE-2011-3189 php: 5.3.7 crypt() only returns the salt for MD5 hashes
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2011-3189
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110817,reported=20110822,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 16:00 UTC by Josh Bressers
Modified: 2019-06-08 18:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-24 06:50:59 UTC


Attachments (Terms of Use)

Description Josh Bressers 2011-08-23 16:00:45 UTC
PHP 5.3.7 contains a flaw where if crypt() is executed with MD5 salts, the
return value conists of the salt only.

This issue only affects version 5.3.7, it does not affect any prior
versions. PHP 5.3.8 is expected to be released soon which will fix this
issue.

Comment 1 Josh Bressers 2011-08-23 16:07:01 UTC
Statement:

Not vulnerable. This issue did not affect the versions of php as shipped with Red Hat Enterprise Linux 4, 5, or 6.

Comment 2 Tomas Hoger 2011-08-24 06:50:59 UTC
PHP 5.3.8 has been released to correct this flaw.

References:
  https://bugs.php.net/bug.php?id=55439
  http://www.php.net/releases/5_3_8.php


Note You need to log in before you can comment on or make changes to this bug.